<?php

try {
	// Attributes:
	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");

	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');
	$entityTypeId = $setup->getEntityTypeId('catalog_category');
	$setup->removeAttribute($entityTypeId,'brand');

	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('brand_list') . '`');

	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  'shopbybrand/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'shopbybrand_setup'");

	// Files:
	$paths = array(
		'/app/design/adminhtml/default/default/layout/shopbybrand.xml',
		'/app/design/frontend/base/default/layout/shopbybrand.xml',
		'/app/design/frontend/base/default/template/shopbybrand/',
		'/app/locale/en_US/Plumrocket_Shopbybrand.csv',
		'/app/code/local/Plumrocket/Shopbybrand/',
		'/app/etc/modules/Plumrocket_Shopbybrand.xml',
		'/skin/frontend/base/default/css/plumrocket/shopbybrand/'
	);

	$basePath = dirname(__FILE__);
	foreach ($paths as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>
